summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x13.37/glibc/glibc-multilib.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/13.37/glibc/glibc-multilib.SlackBuild b/13.37/glibc/glibc-multilib.SlackBuild
index a6ea8f6..c50f147 100755
--- a/13.37/glibc/glibc-multilib.SlackBuild
+++ b/13.37/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.13}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-4alien}
+BUILD=${BUILD:-5alien}
## Included in glibc now:
## glibc-libidn version
@@ -190,6 +190,8 @@ apply_patches() {
# Avoid the Intel optimized asm routines for now because they break
# the flash player. We'll phase this in when it's safer to do so.
zcat $CWD/glibc.disable.broken.optimized.memcpy.diff.gz | patch -p1 --verbose || exit 1
+ # Fix an integer overflow in tzfile:
+ zcat $CWD/glibc.CVE-2009-5029.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;